Subject: Re: CGA/EGA/VGA monitor on IIc/IIc+
From: [email-masked] (John Ruschmeyer)
Date: 1 Mar 1997 23:35:19 -0500
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
Shawn T Beattie <[email-masked]> wrote:
>[email-masked] (John Ruschmeyer) writes:
>
>>In article <[email-masked]>,
>>Shawn Beattie <[email-masked]> wrote:
>>>I have a Sony Trinitron CPD-1302 A/D monitor.  The spec sheet says it does
>>>CGA/EGA/VGA/SVGA.  I tried setting it to digital and using a Laser 128 to
>>>CGA monitor cable to connect a //c to it, and that did not work.
>>>
>>>Is the Laser video pinout different from the //c?  Anyone have experience
>>>using this monitor on a //c (or as a VGA/SVGA monitor, by the way)?
>
>>Laser 128 to CGA cable?
>
>>If it is just a cable, then the 128 really is differnt than the //c. On the
>>latter, you need what amounts to an RGB "adapter" for the video port.
>
>This cable I have came with my Laser 128, and I believe it could be used
>to hook a CGA monitor to the Laser.  This was 10 or so years ago so I may
>not be remembering correctly :).  I had always assumed the Laser and IIc
>video ports were the same.  The cable just goes 15-pin male to 9-pin
>female.

Well, I did a little web surfing and found out the following....

First, the Laser 128 video port pinout:
             Pin      Signal
             ===      ======
              1   Intensity signal
              2   F14M - 14 MHz
              3   Red - signal
              4   Blue - signal
              5   Spkr sound output
              6   Load Pulse for LCD
              7   Dispen for LCD
              8   +12 volts DC
              9   Horizontal Sync Signal
             10   Composite Video Sync Signal
             11   Serial out - Data for LCD
             12   Composite Video Output
             13   Ground
             14   Vertical Sync Signal
             15   Green - Signal
 
Now, the Apple //c video pinout:
1   TEXT     Indicates text mode is active (special function in DHR mode)
2   14M      14 MHz clock sigal
3   SYNC     Horizontal and vertical sync
4   SEGB     Vertical counter signal from IOU, or lo-res indication
5   1VSOUND  Sound output (one volt peak-to-peak)
6   LDPS     Video shift load enable
7   WNDW     Active area display blanking
8   +12V     +12 volts DC
9   PRAS     RAM row address strobe
10  GR       Graphics mode enable
11  SEROUT   Serialized character generator output
12  NTSC     Composite NTSC video output
13  GND      Ground reference
14  VIDD7    Bit 7 of video shift latch (for hires mode colour shifting)
15  CREF     Colour reference timing signal

The differences seem to be in pins 1,3,4,7(?),9,10,14,and 15. 

Based on the two lists it appears that while Apple provided the //c with
the raw signals needed by an RGB adapter (and those needed for the LCD),
the Laser was equipped with a built-in RGB converter and the appropriate
pins of the connector were re-used to carry the RGB signals.

My guess would be that about the only //c video accessories that might
work on the 128 would be the LCD and the RF modulator.

[Note to Nathan Mates, you may want to add the above to one of the FAQs.
It took a lot of searching of ground to unearth it.]

------------------------------------------------------------------------

A coworker has been promising me a CGA monitor if I *really* wanted it.
Maybe it's time to wire up a cable for the Laser 128. :)

<<<john>>>